Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 354384 - vfyserv shutdown failure when client auth requested
: vfyserv shutdown failure when client auth requested
Product: NSS
Classification: Components
Component: Tools (show other bugs)
: 3.11
: All All
: P3 normal (vote)
: 3.11.4
Assigned To: Nelson Bolyard (seldom reads bugmail)
Depends on:
  Show dependency treegraph
Reported: 2006-09-26 14:48 PDT by Nelson Bolyard (seldom reads bugmail)
Modified: 2006-10-25 11:32 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

patch v1 (1.25 KB, patch)
2006-09-26 14:50 PDT, Nelson Bolyard (seldom reads bugmail)
alvolkov.bgs: review+
julien.pierre: superreview+
Details | Diff | Splinter Review

Description Nelson Bolyard (seldom reads bugmail) 2006-09-26 14:48:42 PDT
When the vfyserv program is used with a server that requests client 
auth, it fails to shutdown because cert references are not freed.

While investigating, I found several other problems (freeing a struct
and then continuing to use it).  Patch forthcoming.
Comment 1 Nelson Bolyard (seldom reads bugmail) 2006-09-26 14:50:27 PDT
Created attachment 240213 [details] [diff] [review]
patch v1

Also fixed usage message.
Comment 2 Julien Pierre 2006-09-26 15:17:43 PDT
Comment on attachment 240213 [details] [diff] [review]
patch v1

This patch fixes the leak, so r+ .

Nit : I think it would be better to have a single CERT_DestroyCertificate statement at the end that loop. This can be accomplished for example by either nesting the PK11_FindPrivKeyByAnyCert test within the result of the expiration date check. Just a suggestion.

Your alignment in the Usage patch is wrong and should be fixed before checkin.
Comment 3 Nelson Bolyard (seldom reads bugmail) 2006-09-26 18:32:04 PDT
My alignment of the usage message was deliberate.
The message displays starting in column 1, and is wide.  
By starting it in column 1 of the source code, I am able to put each line
of the message on one line of source, without going past 80 columns in
the source file.
Comment 4 Nelson Bolyard (seldom reads bugmail) 2006-09-30 22:56:14 PDT
Bug 354384. Fix some (not all) of the reference leaks in vfyserv.
Also, improve usage message.  r=alexei,julien

Checking in vfyserv.c; new revision: 1.13; previous revision: 1.12
Checking in vfyutil.c; new revision: 1.11; previous revision: 1.10

Checking in vfyserv.c; new revision:; previous revision:
Checking in vfyutil.c; new revision:; previous revision: 1.10

I need to retest to ensure that this fixes all the relevant reference 
leaks in vfyserv
Comment 5 Nelson Bolyard (seldom reads bugmail) 2006-10-25 11:32:02 PDT
marking fixed.  If we find more problems, we can reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.